set autoscale
set terminal svg
set grid

set xlabel "Aperture size (mm)"
set ylabel "Blur circle size (mm)"
set output "svg/blur-0.7-5.6.svg"
#set xrange [0.7:5.6] reverse
set ytics 0.2
plot "data/blur-0.7-5.6.dat" title "" with lines

set ytics 1
set output "svg/blur-50mm-400mm.svg"
set xlabel "Focal length (mm)"
set ylabel "Blur circle size (mm)"
plot "data/blur-50mm-400mm.dat" smooth csplines title "" with lines

set output "svg/blur-absoluteaperture-keepframing.svg"
set xlabel "Focal length (mm)"
set ylabel "Blur circle size (mm)"
set ytics 0.1
set xrange [28:400]
plot "data/framing-absoluteaperture/bg-4000.dat" smooth csplines title "4m" with lines, \
  "data/framing-absoluteaperture/bg-8000.dat" smooth csplines title "8m" with lines, \
  "data/framing-absoluteaperture/bg-16000.dat" smooth csplines title "16m" with lines, \
  "data/framing-absoluteaperture/bg-32000.dat" smooth csplines title "32m" with lines, \
  "data/framing-absoluteaperture/bg-64000.dat" smooth csplines title "64m" with lines, \
  "data/framing-absoluteaperture/bg-128000.dat" smooth csplines title "128m" with lines, \
  "data/framing-absoluteaperture/bg-256000.dat" smooth csplines title "256m" with lines

set output "svg/blur-relativeaperture-keepframing.svg"
set xlabel "Focal length (mm)"
set ylabel "Blur circle size (mm)"
set ytics 1
plot "data/framing-relativeaperture/bg-4000.dat" smooth csplines title "4m" with lines, \
  "data/framing-relativeaperture/bg-8000.dat" smooth csplines title "8m" with lines, \
  "data/framing-relativeaperture/bg-16000.dat" smooth csplines title "16m" with lines, \
  "data/framing-relativeaperture/bg-32000.dat" smooth csplines title "32m" with lines, \
  "data/framing-relativeaperture/bg-64000.dat" smooth csplines title "64m" with lines, \
  "data/framing-relativeaperture/bg-128000.dat" smooth csplines title "128m" with lines, \
  "data/framing-relativeaperture/bg-256000.dat" smooth csplines title "256m" with lines

set output "svg/blur-relativeaperture-keepframing-2.svg"
set xlabel "Focal length (mm)"
set ylabel "Blur circle size (mm)"
set ytics 5
set xrange [50:3200]
plot "data/framing-relativeaperture/bg-4000-2.dat" smooth csplines title "4m" with lines, \
  "data/framing-relativeaperture/bg-8000-2.dat" smooth csplines title "8m" with lines, \
  "data/framing-relativeaperture/bg-16000-2.dat" smooth csplines title "16m" with lines, \
  "data/framing-relativeaperture/bg-32000-2.dat" smooth csplines title "32m" with lines, \
  "data/framing-relativeaperture/bg-64000-2.dat" smooth csplines title "64m" with lines, \
  "data/framing-relativeaperture/bg-128000-2.dat" smooth csplines title "128m" with lines, \
  "data/framing-relativeaperture/bg-256000-2.dat" smooth csplines title "256m" with lines

set output "svg/blur-relativeaperture-keepframing-3.svg"
set xlabel "Focal length (mm)"
set ylabel "Blur circle size (mm)"
set ytics 0.1
set xrange [0:50]
plot "data/framing-relativeaperture/bg-4000-3.dat" smooth csplines title "4m" with lines, \
  "data/framing-relativeaperture/bg-8000-3.dat" smooth csplines title "8m" with lines, \
  "data/framing-relativeaperture/bg-16000-3.dat" smooth csplines title "16m" with lines, \
  "data/framing-relativeaperture/bg-32000-3.dat" smooth csplines title "32m" with lines, \
  "data/framing-relativeaperture/bg-64000-3.dat" smooth csplines title "64m" with lines, \
  "data/framing-relativeaperture/bg-128000-3.dat" smooth csplines title "128m" with lines, \
  "data/framing-relativeaperture/bg-256000-3.dat" smooth csplines title "256m" with lines


set xrange [28:400]
set output "svg/formats-relativeaperture-keepframing-1.svg"
set xlabel "Focal length (35mm equivalent)
set ylabel "Blur circle size (% of sensor size)"
set ytics 0.5
plot "data/formats/ra-keepframing-56mm-frame" smooth csplines title "120 film" with lines, \
  "data/formats/ra-keepframing-36mm-frame" smooth csplines title "35mm film" with lines, \
  "data/formats/ra-keepframing-24mm-frame" smooth csplines title "DX digital" with lines, \
  "data/formats/ra-keepframing-16mm-frame" smooth csplines title "1/2 frame" with lines, \
  "data/formats/ra-keepframing-8mm-frame" smooth csplines title "1/4 frame" with lines

set output "svg/formats-relativeaperture-stayput.png"
set xlabel "Focal length (mm)"
set ylabel "Blur circle size (mm)"
set ytics 0.1
set xrange [5:50]
plot "data/formats/ra-stayput-focallengths.dat" smooth csplines title "" with lines
